Tableau de coordonnées (Résolu)

vos questions concernant les API SolidWorks

Messagepar Chico » Mar 15 Avr 2008, 0:28

Annwn a écrit:
mookymook a écrit:C'est justement ce que je voulais dire, pour que la macro aille plus vite, il faudrait qu'il n'y ai qu'une seul fois le "zoom au mieux". Biensur a la fin de l'importation.
Ben justement !! j'avais essayé en le mettant juste à la fin du programme et ça me faisait 3 points seulement ! :roll: :wink:


J'ai déjà eu un problème semblable dans une de mes macros. Ma macro ne fonctionnait pas si le zoom n'était pas au mieux à chaque étape.

Je créais des points dans une esquisse 3D, mais moi ce sont des points lus dans des fichiers textes. Enfin, je crois que peut importe le fichier dans lequel on lit, le problème ne vient pas de là.

Bref, les points ne se créaient pas s'il y avait déjà un point très près du point que je voulais créer. C'est un peu comme s'il ne créait pas de point car il considérait qu'il y en avait déjà un à l'endroit de création du point.

Au début, je croyais que c'était les relations automatiques d'esquisse qui créaient problème. (Je me disais qu'il créait le point, mais qu'il le plaçait automatiquement coïncident avec le point déjà présent). Cependant, même en décochant dans les options du document les relations automatiques, le problème persistait.

Finalement, je n'ai jamais trouvé de solutions à ce problème (à part mettre le zoom au mieux évidemment :wink: ), mais ce problème m'a toujours intrigué. Si jamais quelqu'un a une idée, je suis preneur!
Il vaut mieux poser une question et risquer d'avoir l'air idiot
une journée que de se taire et d'être bête toute sa vie.

8wd a dit : LA FONCTION RECHERCHE EST TON AMIE
http://www.logiciel-cao.com
Avatar de l’utilisateur
Chico
Esprit Jedi Solidworks
 
Messages: 3120
Inscription: Mer 12 Mar 2008, 19:16
Localisation: Mauricie (Québec) ------SW 2006 SP0.0

Re: Tableau de coordonnées (Résolu)

Messagepar sirlinium » Lun 05 Déc 2016, 11:55

Bonjour,

Excusez moi d'avance pour le superbe déterrage de sujet 8) .

Je suis actuellement en doctorat de physique et je souhaiterai effectuer à peu près la même chose que ce qui est demandé dans ce sujet.
Cependant il semblerait entre autre que les liens de téléchargement soient rompus.

Mon besoin est très proche de celui décrit dans ce sujet, c'est pourquoi je me permet de poster dans celui-ci.



Je souhaiterais importer des points en 3D via une liste de coordonnées, mais en plus relier les points par des lignes.

Exemple un peu plus concret du fichier que je souhaite utiliser pour les coordonnées:
Code: Tout sélectionner
1.32361      12.5024     0.163489
2.18651      13.0417     0.081514
Write
1.32361      30.9296     0.163489
2.18651      31.4689     0.081514
Write
1.32361      49.3568     0.163489
2.18651      49.8961     0.081514
Write


Avec les coordonnées en X Y Z (unité arbitraire)

En prenant par exemple les deux premiers points
Code: Tout sélectionner
1.32361      12.5024     0.163489
2.18651      13.0417     0.081514

Je souhaite créer ces points puis les relier par une droite (ou simplement créer une droite avec ces coordonnées comme extrémités).

J'espère que vous pourrez m'aider :D et je vous remercie d'avance pour vos conseils et idées :wink:


EDIT: j'ai retrouvé la macro, ou une qui ressemble beaucoup: https://grabcad.com/tutorials/tutorial- ... xt-file--2

cependant je suis absolument néophyte à ce niveau...

Code: Tout sélectionner
Dim swApp As Object
Sub main()

Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc
swApp.ActiveDoc.ActiveView.FrameState = 1
Dim skPoint As Object

Open "C:\Users\FuchsN\Desktop\Points.txt" For Input As #1
Part.SketchManager.Insert3DSketch True
Do While Not EOF(1)
Input #1, X, Y, Z
Set skPoint = Part.SketchManager.CreatePoint(X / 1000, Y / 1000, Z / 1000)
Loop
Close #1

Part.ShowNamedView2 "*Isometric", 7
Part.ViewZoomtofit2
End Sub


Je pense que il est "juste" nécessaire de modifier la partie set skPoint pour quelque chose du genre skLine avec les paramètres à chercher dans mon fichier de coordonnées.
sirlinium
Ewok SolidWorks
 
Messages: 1
Inscription: Lun 05 Déc 2016, 11:02

Précédente

Retourner vers Questions générales sur les API

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 3 invités

banniere